<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::sub_image_proxy&lt; T &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1sub__image__proxy.html">sub_image_proxy</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structdlib_1_1sub__image__proxy-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::sub_image_proxy&lt; T &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad35c551612ea33618d37508c99efbbe2"><td class="memItemLeft" align="right" valign="top"><a id="ad35c551612ea33618d37508c99efbbe2"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>sub_image_proxy</b> (T &amp;img, <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> rect)</td></tr>
<tr class="separator:ad35c551612ea33618d37508c99efbbe2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a4d56e801319b53d8bfb74f69b976f6ce"><td class="memItemLeft" align="right" valign="top"><a id="a4d56e801319b53d8bfb74f69b976f6ce"></a>
void *&#160;</td><td class="memItemRight" valign="bottom"><b>_data</b></td></tr>
<tr class="separator:a4d56e801319b53d8bfb74f69b976f6ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a160c40e610de8f557db76c4587605c9e"><td class="memItemLeft" align="right" valign="top"><a id="a160c40e610de8f557db76c4587605c9e"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>_width_step</b></td></tr>
<tr class="separator:a160c40e610de8f557db76c4587605c9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51713c12672a7cf5359092b5fc033d31"><td class="memItemLeft" align="right" valign="top"><a id="a51713c12672a7cf5359092b5fc033d31"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>_nr</b></td></tr>
<tr class="separator:a51713c12672a7cf5359092b5fc033d31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fd771b6976dad4e44416cda26a51cfc"><td class="memItemLeft" align="right" valign="top"><a id="a1fd771b6976dad4e44416cda26a51cfc"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>_nc</b></td></tr>
<tr class="separator:a1fd771b6976dad4e44416cda26a51cfc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="interpolation_8h_source.html">interpolation.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
